%define upstream_name Text-VisualWidth-PP
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Trimming text by the number of the column s of terminals and mobile phones
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Text-VisualWidth-PP
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Unicode::EastAsianWidth) >= 1.300.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module provides functions to treat half-width and full-width characters
and display correct size of text in one line on terminals and mobile phones.
You can know the visual width of any text and truncate text by the visual
width. Now this module support flagged UTF-8 and tested only with Japanese.

This module is pure perl version of Text::VisualWidth. This is bit slow, but
it's not require compiler.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%license LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.80.0-2.mga10
+ Revision: 2242017
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 tv <tv> 0.80.0-1.mga10
+ Revision: 2159311
- update to 0.08

* Sat Feb 01 2025 daviddavid <daviddavid> 0.70.0-1.mga10
+ Revision: 2144016
- update to 0.07

* Tue Jan 28 2025 daviddavid <daviddavid> 0.60.0-1.mga10
+ Revision: 2143099
- update to 0.06

* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-3.mga9
+ Revision: 1811032
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.50.0-2.mga8
+ Revision: 1519791
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 0.50.0-1.mga7
+ Revision: 1322738
- update to 0.05

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1272243
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1035180
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 971524
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.40.0-5.mga6
+ Revision: 891853
- BR perl(Module::Build))

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 742849
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 686665
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 662669
- imported package perl-Text-VisualWidth-PP

